Bug 183964 - system-config-securitylevel does not show some <Other ports> properly
system-config-securitylevel does not show some <Other ports> properly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 02:06 EST by Mark Sobell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 14:46:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Sobell 2006-03-04 02:06:54 EST
Description of problem:
When you run system-config-securitylevel/Firewall Options and add UDP port 137
and click OK and then run system-config-securitylevel/Firewall Options again,
the port you just added does not appear in the Ports frame where it was when you
added it.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.6.16-1

How reproducible:
always


Steps to Reproduce:
1. run system-config-securitylevel
2. click Firewall Options tab
3. make sure no Trusted services are selected
4. click Other ports triangle to open Ports frame
5. click Add
6. add port 137 UDP and click OK
7. click OK in main window to close window, respond to Warning prompt with YES.
8. run system-config-securitylevel
9. click Firewall Options tab
10 port 137 no longer appears in the Ports frame.
  
Actual results:
As above

Expected results:
When I rerun system-config-securitylevel (step 8), port 137 should appear in the
Ports frame.

Additional info:
Even when port 137 does not appear in the Ports window it is still open
according to /etc/sysconfig/iptables.

Related problem: When you reopen system-config-securitylevel (step 8) and add
another port, port 137, which was actually open even though it did not appear in
the Ports frame, is closed according the /etc/sysconfig/iptables.

Note: I believe this problem has to do with the fact that UPD port 137 is one of
the ports that is opened when you select Samba as a Trusted service. The same
problem occurs with all Samba ports (137 & 138 UDP and 139 & 445 TCP) and does
not occur with other ports I opened.

(perhaps a )Related problem: When you disable the Firewall and reenable it, any
ports and Trusted services that were open are lost and you have to enter the
Trusted services and port numbers again.
Comment 1 Chris Lumens 2006-03-10 14:46:21 EST
Fixed in Rawhide for post-FC5.  This is a good candidate for a Fedora update as
well.

Note You need to log in before you can comment on or make changes to this bug.